Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionListProvider< L0, L1 > Class Template Referenceabstract

`#include <dune/grid-glue/merging/intersectionlist.hh>`

Inheritance diagram for Dune::GridGlue::IntersectionListProvider< L0, L1 >:

## Public Types

using | Local0 = L0
using | Local1 = L1
using | Index = unsigned int

## Public Member Functions

virtual std::size_t | size () const =0
virtual std::size_t | parents0 (Index intersection) const =0
virtual std::size_t | parents1 (Index intersection) const =0
virtual Index | parent0 (Index intersection, unsigned index) const =0
virtual Index | parent1 (Index intersection, unsigned index) const =0
virtual Local0 | corner0 (Index intersection, unsigned corner, unsigned index) const =0
virtual Local1 | corner1 (Index intersection, unsigned corner, unsigned index) const =0

## Detailed Description

template<typename L0, typename L1>
class Dune::GridGlue::IntersectionListProvider< L0, L1 >

Template Parameters

  L0 | type of local coordinates in the first grid
  L1 | type of local coordinates in the second grid

## Member Typedef Documentation

## Index

template<typename L0, typename L1>

using Dune::GridGlue::IntersectionListProvider< L0, L1 >::Index = unsigned int

type used to index intersections

## Local0

template<typename L0, typename L1>

using Dune::GridGlue::IntersectionListProvider< L0, L1 >::Local0 = L0

type of local coordinates in the first grid

## Local1

template<typename L0, typename L1>

using Dune::GridGlue::IntersectionListProvider< L0, L1 >::Local1 = L1

type of local coordinates in the second grid

## Member Function Documentation

## corner0()

template<typename L0, typename L1>

virtual Local0 Dune::GridGlue::IntersectionListProvider< L0, L1 >::corner0 | ( | Index | intersection,
|  | unsigned | corner,
|  | unsigned | index ) const

pure virtual

corner local coordinates of an embedding of an intersection in the first grid

Parameters

  intersection | number of the intersection
  corner | number of the corner
  index | number of the embedding of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## corner1()

template<typename L0, typename L1>

virtual Local1 Dune::GridGlue::IntersectionListProvider< L0, L1 >::corner1 | ( | Index | intersection,
|  | unsigned | corner,
|  | unsigned | index ) const

pure virtual

corner local coordinates of an embedding of an intersection in the second grid

Parameters

  intersection | number of the intersection
  corner | number of the corner
  index | number of the embedding of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## parent0()

template<typename L0, typename L1>

virtual Index Dune::GridGlue::IntersectionListProvider< L0, L1 >::parent0 | ( | Index | intersection,
|  | unsigned | index ) const

pure virtual

parent entity of an embedding of an intersection in the first grid

Parameters

  intersection | number of the intersection
  index | number of the embedding of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## parent1()

template<typename L0, typename L1>

virtual Index Dune::GridGlue::IntersectionListProvider< L0, L1 >::parent1 | ( | Index | intersection,
|  | unsigned | index ) const

pure virtual

parent entity of an embedding of an intersection in the second grid

Parameters

  intersection | number of the intersection
  index | number of the embedding of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## parents0()

template<typename L0, typename L1>

virtual std::size_t Dune::GridGlue::IntersectionListProvider< L0, L1 >::parents0 | ( | Index | intersection | ) | const

pure virtual

number of embeddings of the intersection-th intersection into the first grid

Parameters

  intersection | number of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## parents1()

template<typename L0, typename L1>

virtual std::size_t Dune::GridGlue::IntersectionListProvider< L0, L1 >::parents1 | ( | Index | intersection | ) | const

pure virtual

number of embeddings of the intersection-th intersection into the second grid

Parameters

  intersection | number of the intersection

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

## size()

template<typename L0, typename L1>

virtual std::size_t Dune::GridGlue::IntersectionListProvider< L0, L1 >::size | ( |  | ) | const

pure virtual

number of intersections in the merged grid

Implemented in Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >, and Dune::GridGlue::SimplicialIntersectionListProvider< grid1Dim, grid2Dim >.

The documentation for this class was generated from the following file:

- intersectionlist.hh